<?

//Создание фотоальбомов
if (isset($user) && $user['id'] == $ank['id']){
if (isset($_GET['act']) && $_GET['act']=='create' && isset($_GET['ok']) && isset($_POST['name'])){

$name = my_esc($_POST['name']);
if (strlen2($name) < 3)$err = 'Короткое название';
if (strlen2($name) > 32)$err = 'Название не должно быть длиннее 32-х символов';
		
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]' AND `name` = '$name'"),0) != 0)
$err = 'Альбом с таким названием уже существует';	

if (!isset($err)){
mysql_query("INSERT INTO `gallery` (`time_create`, `id_user`, `name`, `time`) values('$time', '$ank[id]', '$name', '$time')");
$gallery_id = mysql_insert_id();
$_SESSION['message'] = 'Альбом создан';
header("Location: /modules/photo/$ank[id]/$gallery_id/");
exit;
}
}
}

?>